Package org.silverpeas.components.delegatednews.web

## Class DelegatedNewsEntity

- java.lang.Object
- - org.silverpeas.components.delegatednews.web.DelegatedNewsEntity

- All Implemented Interfaces:
    `Serializable`, `org.silverpeas.core.web.rs.WebEntity`

      public class DelegatedNewsEntity
      extends Object
      implements org.silverpeas.core.web.rs.WebEntity

  The delegated news entity is a delegated news object that is exposed in the web as an entity (web entity). As such, it publishes only some of its attributes It represents a delegated news in Silverpeas plus some additional information such as the URI for accessing it.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `DelegatedNewsEntity()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object obj)` |
    `static DelegatedNewsEntity` | `fromDelegatedNews​(DelegatedNews delegatedNews)` | Creates a new delegated news entity from the specified delegated news.
    `Date` | `getBeginDate()` | Gets the begin date of visibility of the delegated news.
    `org.silverpeas.core.webapi.profile.UserProfileEntity` | `getContributor()` | Gets the id of the contributor.
    `Date` | `getEndDate()` | Gets the end date of visibility of the delegated news.
    `String` | `getInstanceId()` | Gets the identifier of the Silverpeas instance identifier.
    `int` | `getNewsOrder()` | Gets the order of the delegated news.
    `String` | `getPubId()` | Gets the identifier of the delegated news.
    `String` | `getPubTitle()` | Gets the title of the delegated news.
    `String` | `getStatus()` | Gets the status of the delegated news.
    `URI` | `getURI()` | Gets the URI of this comment entity.
    `Date` | `getValidationDate()` | Gets the date at which the delegated news was validated.
    `org.silverpeas.core.webapi.profile.UserProfileEntity` | `getValidator()` | Gets the id of the validator.
    `int` | `hashCode()` |
    `DelegatedNews` | `toDelegatedNews()` | Gets the delegated news business objet that this entity represents.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DelegatedNewsEntity

          protected DelegatedNewsEntity()

  - ### Method Detail

    - #### getURI

          public URI getURI()

      Gets the URI of this comment entity.
      Specified by:
        `getURI` in interface `org.silverpeas.core.web.rs.WebEntity`
      Returns:
        the URI with which this entity can be access through the Web.

    - #### getPubId

          public String getPubId()

      Gets the identifier of the delegated news.
      Returns:
        the delegated news identifier.

    - #### getPubTitle

          public String getPubTitle()

      Gets the title of the delegated news.
      Returns:
        the pubTitle.

    - #### getInstanceId

          public String getInstanceId()

      Gets the identifier of the Silverpeas instance identifier.
      Returns:
        the silverpeas instance identifier.

    - #### getStatus

          public String getStatus()

      Gets the status of the delegated news.
      Returns:
        the status.

    - #### getContributor

          public org.silverpeas.core.webapi.profile.UserProfileEntity getContributor()

      Gets the id of the contributor.
      Returns:
        the contributor id.

    - #### getValidator

          public org.silverpeas.core.webapi.profile.UserProfileEntity getValidator()

      Gets the id of the validator.
      Returns:
        the contributor id.

    - #### getValidationDate

          public Date getValidationDate()

      Gets the date at which the delegated news was validated.
      Returns:
        the validator date of the delegated news.

    - #### getBeginDate

          public Date getBeginDate()

      Gets the begin date of visibility of the delegated news.
      Returns:
        the begin date.

    - #### getEndDate

          public Date getEndDate()

      Gets the end date of visibility of the delegated news.
      Returns:
        the end date.

    - #### getNewsOrder

          public int getNewsOrder()

      Gets the order of the delegated news.
      Returns:
        the order of the delegated news.

    - #### equals

          public boolean equals​(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toDelegatedNews

          public DelegatedNews toDelegatedNews()

      Gets the delegated news business objet that this entity represents.
      Returns:
        a delegated news instance.

    - #### fromDelegatedNews

          public static DelegatedNewsEntity fromDelegatedNews​(DelegatedNews delegatedNews)

      Creates a new delegated news entity from the specified delegated news.
      Parameters:
        `delegatedNews` - the delegated news to entitify.
      Returns:
        the entity representing the specified delegated news.